#ifndef VEKTOR_HEADER
#define VEKTOR_HEADER

typedef int V_BaseType;

class Vektor{
public:
   Vektor(int dim);
   Vektor(const Vektor& v2);
   ~Vektor();
   Vektor& operator=(const Vektor& v2);
   
   void Init(V_BaseType wert);
   void Plus(const Vektor& v2, Vektor& erg);
   void Print() const;
   int GetDim() const {return dimension;}
   V_BaseType GetDatum(int index) const {return daten[index];}
   void Resize(int dim);

private:
   V_BaseType* daten;
   int dimension;
};

#endif
